Create Key
curl --request POST \
--url https://{deployment}/v1/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"environment": "prod",
"expires_in_days": 1825,
"scope_source": "asserted"
}
'import requests
url = "https://{deployment}/v1/keys"
payload = {
"name": "<string>",
"environment": "prod",
"expires_in_days": 1825,
"scope_source": "asserted"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
environment: 'prod',
expires_in_days: 1825,
scope_source: 'asserted'
})
};
fetch('https://{deployment}/v1/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'environment' => 'prod',
'expires_in_days' => 1825,
'scope_source' => 'asserted'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"environment\": \"prod\",\n \"expires_in_days\": 1825,\n \"scope_source\": \"asserted\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"environment\": \"prod\",\n \"expires_in_days\": 1825,\n \"scope_source\": \"asserted\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"environment\": \"prod\",\n \"expires_in_days\": 1825,\n \"scope_source\": \"asserted\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"environment": "<string>",
"scope_source": "<string>",
"display": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"active": true,
"never_used": true,
"dormant": true,
"key": "<string>",
"warning": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"revocation_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API keys
Create Key
Mint a key. The secret is returned ONCE and never stored.
Who may call it: admin. A workspace API key is refused here: this is an act that belongs to a named person.
POST
/
v1
/
keys
Create Key
curl --request POST \
--url https://{deployment}/v1/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"environment": "prod",
"expires_in_days": 1825,
"scope_source": "asserted"
}
'import requests
url = "https://{deployment}/v1/keys"
payload = {
"name": "<string>",
"environment": "prod",
"expires_in_days": 1825,
"scope_source": "asserted"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
environment: 'prod',
expires_in_days: 1825,
scope_source: 'asserted'
})
};
fetch('https://{deployment}/v1/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'environment' => 'prod',
'expires_in_days' => 1825,
'scope_source' => 'asserted'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"environment\": \"prod\",\n \"expires_in_days\": 1825,\n \"scope_source\": \"asserted\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"environment\": \"prod\",\n \"expires_in_days\": 1825,\n \"scope_source\": \"asserted\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"environment\": \"prod\",\n \"expires_in_days\": 1825,\n \"scope_source\": \"asserted\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"environment": "<string>",
"scope_source": "<string>",
"display": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"active": true,
"never_used": true,
"dormant": true,
"key": "<string>",
"warning": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"revocation_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
A newly minted key, and the one time its secret is visible.
